import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.event.*;

import javax.swing.*;


@SuppressWarnings("serial")
public class Main extends JFrame{

	JLabel lblStatus_ = new JLabel();
	JButton btnClear_ = new JButton("Clear");
	Panel pnl_ = new Panel();

	public static void main(String[] args){

		new Main();

	}
	
	public Main(){
		super("Click Inside");
		setDefaultCloseOperation(DISPOSE_ON_CLOSE);
		
		JPanel pnl = new JPanel();
		pnl.setLayout(new FlowLayout(FlowLayout.LEFT));
		pnl.add(btnClear_);
		
		setLayout(new BorderLayout());
		add(BorderLayout.SOUTH, lblStatus_);
		add(BorderLayout.CENTER, pnl_);	
		add(BorderLayout.NORTH, pnl);

		
		btnClear_.addActionListener(new BL());
		
		ML ml = new ML();
		pnl_.addMouseListener(ml);
		pnl_.addMouseMotionListener(ml);
		
		setSize(800, 600);
		setLocationRelativeTo(null);
		setVisible(true);
	}

	
	class BL implements ActionListener {
		@Override
		public void actionPerformed(ActionEvent e) {
			if (e.getSource() == btnClear_){
				pnl_.clear();
				
			}
		}
	}//BL
	

	class ML extends MouseAdapter {
		
		@Override
		public void mouseClicked(MouseEvent e) {
			pnl_.addPoints(e.getPoint());
		}

		@Override
		public void mouseMoved(MouseEvent e) {
			String pts = e.getPoint().toString();
			pts = pts.substring(14, pts.length());
			lblStatus_.setText( "  " + pts );
			
			pnl_.pt_ = e.getPoint();
			pnl_.repaint();
		}
	}//ML



}//Main
